package com.engine.salary.formlua.entity.standard;

import java.io.Serializable;
import java.util.List;

/**
 * @author 
 */
public class ExcelPage<T> implements Serializable {
    private static final long serialVersionUID = -3149769813337109956L;
    private int pageNo;
    private int pageSize;
    private int count;
    private String keywords;
    private List<T> pageResult;

    public String getKeywords() {
        return keywords;
    }

    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public List<T> getPageResult() {
        return pageResult;
    }

    public void setPageResult(List<T> pageResult) {
        this.pageResult = pageResult;
    }
}
